Subject: how to repair "invalid uid"

From: Veronica Loell <[email-masked]>
Date: Wed, 13 Feb 2002 10:07:53 +0100 (W. Europe Standard Time)

Hello,
I found a posting on the mailinglist asking the exact same quesiton that I
had, there was however no answer.
Rebuilding UIDs --> What does it mean?, William R. Van Kuyk, 10/10/2001

I have found a a way to repair it and I thought maybe more people might be
interested in this.

A pine mailfile will typically contain a headerline for example:
*mbx*
3bb43102000001c4

Each message then will have a header something like this:
 5-Sep-2001 20:16:01 +0200,1517;000000000001-00000005

After the time you have the size of the message (1517) then comes the
message UID in this case 000000000001-00000005 it seems like its only the
last part that is important, this is in hexadecimal. The last message uid
for the mailbox with the header above would be ***1c4 ie the end of that
should be the same as the last uid.
The UIDs have to be larger than the previous but you can skip numbers if u
want.

What I did was open the file in my editor. Changed the number in the
header to correspond to the last message.

Another thing that might come up is this:
"last message pass the end of file, (number according to last message)
(actual lenght of file), just calculate the difference (not hex this time
decimal) and subtract that from the length-number for the last message.

Hope this is of some help to someone!

Best regards,
Veronica Loell

-- 
-----------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/pine/pine-info/
-----------------------------------------------------------------